summaryrefslogtreecommitdiff
path: root/tests/t9022-one-unit-snap.sh
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2011-06-21 10:44:17 -0700
committerJim Meyering <meyering@redhat.com>2011-06-22 21:56:09 +0200
commit801a0d9957116757dddc4e62abe62a403d22c9b2 (patch)
tree14d1223af7b6e77aff50618163b56abcf15e90ec /tests/t9022-one-unit-snap.sh
parentbca7bb94e16acb1e88df97a5ce2c38adb76b072d (diff)
downloadparted-801a0d9957116757dddc4e62abe62a403d22c9b2.tar.gz
tests: add test for radius divide by 2 fix
* tests/t9022-one-unit-snap.sh: New file. * tests/Makefile.am (TESTS): Add it.
Diffstat (limited to 'tests/t9022-one-unit-snap.sh')
-rw-r--r--tests/t9022-one-unit-snap.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/t9022-one-unit-snap.sh b/tests/t9022-one-unit-snap.sh
new file mode 100644
index 0000000..ce903a5
--- /dev/null
+++ b/tests/t9022-one-unit-snap.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Confirm that specifying 1 unit snaps to the correct value
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+
+ss=$sector_size_
+n_sectors=3000
+dev=dev-file
+
+# Create an example of what the result should look like
+# start should be at 1 sector.
+dd if=/dev/null of=$dev bs=$ss seek=$n_sectors || fail=1
+parted --align=none -s $dev mklabel msdos mkpart pri 1s $((1000*1000))B \
+ > err 2>&1 || fail=1
+compare err /dev/null || fail=1
+parted -m -s $dev u s p > exp || fail=1
+
+rm $dev
+dd if=/dev/null of=$dev bs=$ss seek=$n_sectors || fail=1
+parted --align=none -s $dev mklabel msdos mkpart pri 0 1MB \
+ > err 2>&1 || fail=1
+compare err /dev/null || fail=1
+parted -m -s $dev u s p > out || fail=1
+
+compare out exp || fail=1
+
+Exit $fail